package com.steerinfo.dil.service;

import com.steerinfo.dil.model.BmstrainStatement;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/9/14 11:23
 * @Version:V2.0
 */
public interface IBmstrainStatementService {

    /**
     * 查询最大id
     * @return
     */
    BigDecimal selectMaxId();

    /**
     * 展示所有账单信息
     * @param mapValue
     * @return
     */
    List<Map<String,Object>> getTrainStatementList(Map<String,Object> mapValue);

    /**
     * 生成账单
     * @param mapList
     * @return
     */
    int insertSelective(List<Map<String,Object>> mapList);

    /**
     * 展示账单中的详单
     * @param mapValue
     * @return
     */
    List<Map<String,Object>> getComplateTrainDetailsList(Map<String,Object> mapValue);

    /**
     * 展示火运实绩
     * @param mapValue
     * @return
     */
    List<Map<String,Object>> getTrainResultList(Map<String,Object> mapValue);

}
