package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.BmstrainDetailsStatement;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface BmstrainDetailsStatementMapper extends IBaseMapper<BmstrainDetailsStatement, BigDecimal> {

    /**
     * 新增关系
     * @param bmstrainDetailsStatement
     * @return
     */
    int insertSelective(BmstrainDetailsStatement bmstrainDetailsStatement);

    /**
     * 得到最大id
     * @return
     */
    BigDecimal selectMaxId();

    @Select("select seq_BMSTRAIN_DETAIL_STATEMENT.nextval from dual")
    BigDecimal selectDetailsStatementId();
}