package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.BmstrainDetailsStatementMapper;
import com.steerinfo.dil.model.BmstrainDetailsStatement;
import com.steerinfo.dil.service.IBmstrainDetailsStatementService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/9/14 11:31
 * @Version:V2.0
 */
@Service
public class BmstrainDetailsStatementServiceImpl implements IBmstrainDetailsStatementService {

    @Autowired
    BmstrainDetailsStatementMapper bmstrainDetailsStatementMapper;

    /**
     * 得到最大id
     * @return
     */
    @Override
    public BigDecimal selectMaxId() {
        return bmstrainDetailsStatementMapper.selectDetailsStatementId();
    }

    /**
     * 新增关系
     * @param bmstrainDetailsStatement
     * @return
     */
    @Override
    public int insertSelective(BmstrainDetailsStatement bmstrainDetailsStatement) {
        return bmstrainDetailsStatementMapper.insertSelective(bmstrainDetailsStatement);
    }
}
